#pragma once

namespace playlist {
  struct playlist_item {
    const char * const artist;
    const int start;
  };

  struct state {
    int playlist_ix;
  };

  void next();
  void prev();

  extern struct state state;
}
